%define luaver 5.3
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-expat
Version:        1.3.0
Release:        16
Summary:        A SAX XML parser based on the Expat library
License:        MIT
URL:            http://www.keplerproject.org/luaexpat/
Source0:        http://matthewwild.co.uk/projects/luaexpat/luaexpat-%{version}.tar.gz

BuildRequires:  lua >= %{luaver} lua-devel >= %{luaver} gcc expat-devel gdb
Requires:       lua(abi) = %{luaver}

%description
LuaExpat is a SAX XML parser based on the Expat library.SAX is the Simple API for XML,
process a XML document incrementally, thus being able to handle huge documents without
memory penalties, register handler functions which are called by the parser during the
processing of the document, handling the document elements or text.

%package_help

%prep
%autosetup -n luaexpat-%{version}

%build
%make_build LUA_V=%{luaver} LUA_CDIR=%{lualibdir} LUA_LDIR=%{luapkgdir} LUA_INC=-I%{_includedir} EXPAT_INC=-I%{_includedir} \
  CFLAGS="%{optflags} -fPIC -std=c99" LDFLAGS="%{?__global_ldflags}"

%install
%make_install LUA_CDIR=%{lualibdir} LUA_LDIR=%{luapkgdir}

%check
lua -e 'package.cpath="./src/?.so;"..package.cpath; dofile("tests/test.lua");'
lua -e 'package.cpath="./src/?.so;" .. package.cpath; package.path="./src/?.lua;" .. package.path; dofile("tests/test-lom.lua");'

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc README
%{lualibdir}/*
%{luapkgdir}/*

%files help
%defattr(-,root,root)
%doc doc/us/*

%changelog
* Thu Mar 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-16
- add necessary BuildRequires

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-15
- Build for Help Package

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-14
- Package init
